[plasma-pa] Add command to switch all applications to the selected device
ClosedPublic

Authored by vpilo on Feb 14 2019, 5:14 PM.

Details

Summary

If you have many applications running (e.g. browser tabs) it's very annoying to manually switch them all to another device. With this context menu option, it's now very easy.

Screenshot:

Diff Detail

Repository
R115 Plasma Audio Volume Applet
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
vpilo created this revision.Feb 14 2019, 5:14 PM
Restricted Application added a project: Plasma. · View Herald TranscriptFeb 14 2019, 5:14 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
vpilo requested review of this revision.Feb 14 2019, 5:14 PM
vpilo edited the summary of this revision. (Show Details)Feb 14 2019, 5:15 PM
vpilo added a reviewer: Plasma.

+1, a very nice feature.

vpilo added a comment.Feb 16 2019, 2:29 PM

I would love some input about:

  • The wording of the menu entry.
  • The possibility of having an icon for the menu entry.
ngraham added inline comments.Feb 16 2019, 11:10 PM
applet/contents/ui/ListItemBase.qml
306

How about "Play all audio using this device"

vpilo added inline comments.Feb 17 2019, 11:40 AM
applet/contents/ui/ListItemBase.qml
306

Better already; I'm also concerned whether the label should become too long. Let's see what happens.

vpilo updated this revision to Diff 51895.Feb 17 2019, 11:41 AM
  • Review comments
vpilo updated this revision to Diff 52146.Feb 20 2019, 2:37 PM
  • Review comments
  • Add icons
vpilo added a reviewer: VDG.Feb 20 2019, 2:38 PM
vpilo added inline comments.
applet/contents/ui/ListItemBase.qml
315

All three options for icons are for me ok, what about VDG ?

ngraham added inline comments.Feb 20 2019, 5:04 PM
applet/contents/ui/ListItemBase.qml
315

Of those, I'd say audio-ready seems least inappropriate, but It almost seems like we need a new icon that uses the speaker symbol with an arrow somewhere in it to connote movement and change.

applet/contents/ui/ListItemBase.qml
315

I hoped I could use a normal "speaker" and "microphone" icon and add an emblem on it, like "checked" or "important"; but it's more difficult than I envisioned.

vpilo added a comment.Feb 23 2019, 9:38 AM

@ngraham If a new icon should be made, who could do it and how does the request process go?

@ngraham If a new icon should be made, who could do it and how does the request process go?

VDG can hook you up. File a bug in Breeze | Icons and mention this patch. Then go plug it in the #kde-vdg IRC channel/matrix room. :)

vpilo added a comment.Feb 26 2019, 5:29 PM

@ngraham If a new icon should be made, who could do it and how does the request process go?

VDG can hook you up. File a bug in Breeze | Icons and mention this patch. Then go plug it in the #kde-vdg IRC channel/matrix room. :)

If it's okay, I'll ask for the icon and add it to the menu as a separate patch, so at least we can get the functionality out.

Sounds good to me!

filipf added a subscriber: filipf.Tue, Apr 30, 9:40 PM

Ping, would be nice to have in 5.16. If there's an issue with getting an icon made, it would be okay I think to have a generic one and then fix it later.

ngraham accepted this revision.Wed, May 1, 2:17 AM

+1, let's get it in even if we don't have a new icon quite yet. That can be added via a frameworks update anyway.

This revision is now accepted and ready to land.Wed, May 1, 2:17 AM
vpilo added a comment.Wed, May 1, 10:49 AM

Excellent. Sorry I had no time to follow up for the icon creation yet.

This revision was automatically updated to reflect the committed changes.